<?php $__env->startSection('content'); ?>
<div class="container">
    <h2 class="mt-4">Tenant Transactions</h2>

    <!-- Form Section -->
    <form action="<?php echo e(route('fetchAllTransactions')); ?>" method="POST" class="mb-4">
        <?php echo csrf_field(); ?>
        <div class="row">
            <!-- From Date -->
            <div class="col-md-3">
                <label for="from" class="form-label">From Date</label>
                <input type="date" class="form-control" id="from" name="from" value="<?php echo e(old('from')); ?>" required>
            </div>
            
            <!-- To Date -->
            <div class="col-md-3">
                <label for="to" class="form-label">To Date</label>
                <input type="date" class="form-control" id="to" name="to" value="<?php echo e(old('to')); ?>" required>
            </div>
            
            <!-- Currency -->
            <div class="col-md-3">
                <label for="curr" class="form-label">Currency</label>
                <select class="form-select" id="curr" name="curr" required>
                    <option value="">Select Currency</option>
                    <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($currency->Code); ?>" <?php echo e(old('curr') == $currency->Code ? 'selected' : ''); ?>>
                            <?php echo e($currency->Name); ?>

                        </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>

            <!-- Submit Button -->
            <div class="col-md-3 d-flex align-items-end">
                <button type="submit" class="btn btn-primary w-100">Fetch Transactions</button>
            </div>
        </div>
    </form>

    <!-- Transactions Table -->
    <?php if(isset($allTransactions) && count($allTransactions) > 0): ?>
        <div class="table-responsive">
            <table class="table table-bordered table-hover">
                <thead class="table-light">
                    <tr>
                        <th>Tenant Name</th>
                        <th>Account Sub Code</th>
                        <th>Transaction Date</th>
                        <th>Details</th>
                        <th>Amount</th>
                        <th>Currency</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $allTransactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subCode => $details): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if(count($details['transactions']) > 0): ?>
                            <?php $__currentLoopData = $details['transactions']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($details['name']); ?></td>
                                    <td><?php echo e($subCode); ?></td>
                                    <td><?php echo e($transaction->TransDate); ?></td>
                                    <td><?php echo e($transaction->Details); ?></td>
                                    <td><?php echo e(number_format($transaction->Amount, 2)); ?></td>
                                    <td><?php echo e($currnames); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                            <tr>
                                <td><?php echo e($details['name']); ?></td>
                                <td><?php echo e($subCode); ?></td>
                                <td colspan="4" class="text-center">No transactions found for this tenant</td>
                            </tr>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    <?php else: ?>
        <div class="alert alert-info mt-4">
            No transactions available. Please use the form above to fetch data.
        </div>
    <?php endif; ?>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\User\PINETOPS\PINETOPS\playground\realestate - Copy (2)\realestate_pro\realestate - Copy\realestate - Copy\resources\views\allTenantsStatements.blade.php ENDPATH**/ ?>